package com.sharppaint.file;
import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

import com.sharppaint.Constants;

public class ImageFileView extends FileView {
	
    ImageIcon jpgIcon = Utils.createImageIcon(Constants.FILEICON_PATH + "jpgIcon.gif");
    
    ImageIcon gifIcon = Utils.createImageIcon(Constants.FILEICON_PATH + "gifIcon.gif");
    
    ImageIcon pngIcon = Utils.createImageIcon(Constants.FILEICON_PATH + "pngIcon.gif");
    
    ImageIcon spdIcon = Utils.createImageIcon(Constants.FILEICON_PATH + "spdIcon.gif");
    
    public String getName(File f) {
        return null; //let the L&F FileView figure this out
    }

    public String getDescription(File f) {
        return null; //let the L&F FileView figure this out
    }

    public Boolean isTraversable(File f) {
        return null; //let the L&F FileView figure this out
    }

    public String getTypeDescription(File f) {
        String extension = Utils.getExtension(f);
        String type = null;

        if (extension != null) {
            if (extension.equalsIgnoreCase(Utils.jpeg) ||
                extension.equalsIgnoreCase(Utils.jpg)) {
                type = "JPEG Image";
            } else if (extension.equalsIgnoreCase(Utils.gif)){
                type = "GIF Image";
            } else if (extension.equalsIgnoreCase(Utils.png)){
                type = "PNG Image";
            } else if (extension.equalsIgnoreCase(Utils.spd)){
                type = "SPD Image";
            } 
        }
        return type;
    }

    public Icon getIcon(File f) {
        String extension = Utils.getExtension(f);
        Icon icon = null;

        if (extension != null) {
            if (extension.equalsIgnoreCase(Utils.jpeg) ||
                extension.equalsIgnoreCase(Utils.jpg)) {
                icon = jpgIcon;
            } else if (extension.equalsIgnoreCase(Utils.gif)) {
                icon = gifIcon;
            } else if (extension.equalsIgnoreCase(Utils.png)) {
                icon = pngIcon;
            } else if (extension.equalsIgnoreCase(Utils.spd)) {
                icon = spdIcon;
            } 
        }
        return icon;
    }
}

